#pragma once

namespace maps {
namespace wiki {
namespace diffalert {

struct MessageReporter;
class LongtaskDiffContext;

void checkParkingLotLinearAttrsChanged(const LongtaskDiffContext&, MessageReporter&);
void checkParkingLotLinearCreated(const LongtaskDiffContext&, MessageReporter&);
void checkParkingLotLinearDeleted(const LongtaskDiffContext&, MessageReporter&);
void checkParkingLotLinearZoneChanged(const LongtaskDiffContext&, MessageReporter&);
void checkParkingLotLinearGeometrySignificantlyChanged(const LongtaskDiffContext& diff, MessageReporter& messages);

void checkParkingLotCreated(const LongtaskDiffContext& diff, MessageReporter& messages);

} // namespace diffalert
} // namespace wiki
} // namespace maps
